## org.h2.command.ddl
Class AlterUser

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.AlterUser

    public class AlterUser

extends DefineCommand

This class represents the statements ALTER USER ADMIN, ALTER USER RENAME, ALTER USER SET PASSWORD

Field Summary

Fields inherited from class org.h2.command.ddl.DefineCommand
`transactional`

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`AlterUser(Session session)`

Method Summary
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setAdmin(boolean admin)`
`void` `setHash(Expression e)`
`void` `setNewName(java.lang.String newName)`
`void` `setPassword(Expression password)`
`void` `setSalt(Expression e)`
`void` `setType(int type)`
`void` `setUser(User user)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta, setTransactional`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlterUser

    public AlterUser(Session session)

Method Detail

### setType

    public void setType(int type)

### setNewName

    public void setNewName(java.lang.String newName)

### setUser

    public void setUser(User user)

### setAdmin

    public void setAdmin(boolean admin)

### setSalt

    public void setSalt(Expression e)

### setHash

    public void setHash(Expression e)

### setPassword

    public void setPassword(Expression password)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### getType

    public int getType()

  Description copied from class: `Prepared`
  Get the command type as defined in CommandInterface

  Specified by:
    `getType` in class `Prepared`
  Returns:
    the statement type